List ExportDestinations
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/dataexports/destinations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexports/destinations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexports/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"name": "<string>",
"code": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}List ExportDestinations
Retrieve a list of Export Destination entities. You can filter the list of Destinations returned by UUID.
GET
/
organizations
/
{orgId}
/
dataexports
/
destinations
List ExportDestinations
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Query Parameters
Number of returned Export Destinations to list per page.
Required range:
1 <= x <= 200nextToken for multi page retrievals
List of Export Destination UUIDs to retrieve.
⌘I